function battle_jai003(npcID) --金甲

	if battle.CheckPlayerStat(16,725)==1 then
	    for se=1,7,1 do
        if battle.CheckNpcPlace(se)==0 then
	    local tid=battle.GetPlaceNpcID(se)
		    if npc.GetHP(tid,1)>2 then
			   npc.CreateSE(tid,3844)--剑斩的特效
			   global.PlaySound(531,200)--音效插入
			   npc.ChangeHP(1,0,tid,-2)
			end
	    end
		end	
	wt(1.5)
	end
	
	local ti=flag.GetBattleValue(19040)
	ti=ti+1
	flag.SetBattleValue(19040,ti)
	
	l=npc.GetHP(npcID,1)	
	m=flag.GetBattleValue(12952)
	n=flag.GetBattleValue(12966)
    flag.SetBattleValue(12952,l)
	if battle.CheckNpcStat(npcID,11)==0 and n==1 then
		npc.ChangeDef(npcID,-2000)
		npc.ChangeMagicDef(npcID,7,-20)
		flag.SetBattleValue(12966,0)
	end
	if l==100 then
		a = battle.GetRndNumber(1,10)
		if a>=1 and a<=6 then
			id = battle.GetRndPlayer()
			battle.AtkToPlayer(id,1)     --普通攻击
		else
			id = battle.GetRndPlayer()
			battle.MagicToPlayer(id,1206,1)   --单体法术
		end	
	else
		if m==0 then

			if 100-l>8 then
				battle.MagicToNpc(npcID,1207,1)   --自体法术
			
			else
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					id = battle.GetRndPlayer()
					battle.AtkToPlayer(id,1)     --普通攻击
				else
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,1206,1)   --单体法术
				end	
			end
		
		
		else

			if m-l>8 and battle.CheckNpcStat(npcID,11)==0 then
				battle.MagicToNpc(npcID,1207,1)   --自体法术
			
			else 
				a = battle.GetRndNumber(1,10)
				if a>=1 and a<=6 then
					id = battle.GetRndPlayer()
					battle.AtkToPlayer(id,1)     --普通攻击
				else
					id = battle.GetRndPlayer()
					battle.MagicToPlayer(id,1206,1)   --单体法术
				end
				
				
			end
		
		
		
		end
	end

end